MODULE disvert_mod
  USE icosa
  REAL(rstd), SAVE, POINTER :: ap(:)
  REAL(rstd), SAVE, POINTER :: bp(:)
  REAL(rstd), SAVE, POINTER :: presnivs(:)

CONTAINS

  SUBROUTINE init_disvert
  USE disvert_std_mod, ONLY: ap_std=>ap, bp_std=>bp, presnivs_std=>presnivs, init_disvert_std=>init_disvert
  USE disvert_ncar_mod, ONLY: ap_ncar=>ap, bp_ncar=>bp, presnivs_ncar=>presnivs, init_disvert_ncar=>init_disvert
  USE disvert_ncarl30_mod, ONLY: ap_ncarl30=>ap, bp_ncarl30=>bp, presnivs_ncarl30=>presnivs, init_disvert_ncarl30=>init_disvert
  USE icosa
  IMPLICIT NONE
    CHARACTER(LEN=255) :: disvert_type = 'std'
    
    CALL getin("disvert",disvert_type)
    
    SELECT CASE (TRIM(disvert_type))
      CASE('std')
    
        CALL init_disvert_std
        ap=>ap_std
        bp=>bp_std
        presnivs=>presnivs_std
      
      CASE ('ncar')

        CALL init_disvert_ncar
        ap=>ap_ncar
        bp=>bp_ncar
        presnivs=>presnivs_ncar

      CASE ('ncarl30')

        CALL init_disvert_ncarl30
        ap=>ap_ncarl30
        bp=>bp_ncarl30
        presnivs=>presnivs_ncarl30
        
      CASE default
        PRINT*,'Bad selector for variable disvert : <', TRIM(disvert_type),"> options are <std>, <ncar>, <ncarl30>" 
        STOP
        
    END SELECT

  END SUBROUTINE init_disvert  
  
END MODULE disvert_mod
